* {
  margin: 0px;
  padding: 0px;
  box-sizing: border-box;
}

.headerContainer {
  background-color: #32495d;
  height: 61px;
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  color: white;
  font-size: 20px;
}

.bannerContainer {
  width: 100%;
  height: 250px;
}

.bannerContainer img {
  width: 100%;
  height: 100%;
  /* object-fit: contain; */
}

.firstPuppyOuterWrapper {
  width: 100%;
  height: 740px; /* make the height 1132 to fit the missing puppy in column mode */
  display: flex;
  justify-content: center;
  align-items: center;
  /* background-color: blue; */
}

.firstPuppyInnerContainer {
  width: 70%;
  height: 90%;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  /* background-color: black; */
}

.firstPuppies {
  width: 100%;
  height: 47%; /* make the height 30.7% to fit the missing puppy in column mode */
  display: flex;
  align-items: center;
  text-align: center;
}

.firstPuppies img {
  width: 100%;
  height: 100%;
}

.snoop-dog {
  font-size: 4.5rem;
  background-color: #e94e5f;
  display: none; /* display block to show the missing puppy column mode */
}

.morePuppiesHeader {
  width: 100%;
  height: 50px;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 40px;
  margin-top: 5px;
  margin-bottom: 50px;
}

.secondPuppyOuterWrapper {
  width: 100%;
  height: 1132px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.secondPuppyInnerContainer {
  width: 70%;
  height: 1064px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.secondPuppies {
  width: 100%;
  height: 47%;
}

.secondPuppies img {
  width: 100%;
  height: 100%;
}

.footerContainer {
  width: 100%;
  height: 90px;
  background-color: #32495d;
  color: white;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 20px;
}

@media (min-width: 768px) {
  .headerContainer {
    height: 80px;
    font-size: 30px;
  }
  .bannerContainer {
    height: 550px;
  }
  .morePuppiesHeader {
    height: 90px;
    font-size: 70px;
  }
  .footerContainer {
    height: 180px;
    margin-top: 50px;
    font-size: 50px;
  }

  .firstPuppyOuterWrapper {
    height: 530px;
  }

  .firstPuppyInnerContainer {
    width: 85%;
    height: 400px;
    flex-direction: row; /* horizontal layout */
    justify-content: space-between;
  }

  .firstPuppies {
    width: 30%;
    height: 100%;
  }

  .firstPuppies img {
    object-fit: cover;
  }

  .snoop-dog {
    display: flex; /* show again */
    align-items: center;
    justify-content: center;
  }

  .secondPuppyOuterWrapper {
    height: 750px;
  }
  .secondPuppyInnerContainer {
    width: 85%;
    height: 680px;
    flex-direction: row;
  }
  .secondPuppies {
    width: 48%;
    height: 100%;
  }
}

@media (max-width: 360px) {
  .firstPuppyOuterWrapper {
    height: 1132px;
  }
  .firstPuppyInnerContainer {
    flex-direction: column;
  }
  .firstPuppies {
    height: 30.7%;
  }
  .snoop-dog {
    display: block;
  }
}
